Skip to content
Developer

AutoDunning

Billing2 EndpointsBilling / AutoDunning

Preview of the dunning run: which accounts would move to which level with which fee and interest.

GET/api/invoice/auto_dunning/preview

Changes nothing and also works while the run is disabled.

Query parameters

datestringRun as of this date (YYYY-MM-DD), default today
companiesstringComma separated account ids to limit the run to

Responses

200Returns enabled, dryRun, date, settings, actions and skipped accounts

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/auto_dunning/preview \
  --header 'x-iw-jwt-token: <TOKEN>'

Executes the dunning run now (the same run the daily cron task does).

POST/api/invoice/auto_dunning/run

Query parameters

companiesstringComma separated account ids to limit the run to

Responses

200Returns enabled, dryRun, date, settings, actions and skipped accounts

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/auto_dunning/run \
  --header 'x-iw-jwt-token: <TOKEN>'